Method: agenticCaseReportTemplates.delete

Full name: projects.locations.instances.agenticCaseReportTemplates.delete

Deletes a reporting template.

HTTP request

DELETE https://{endpoint}/v1alpha/{name}

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
name

string

Required. The name of the template to delete.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • chronicle.agenticCaseReportTemplates.delete

For more information, see the IAM documentation.